Page MenuHomePhabricator

Commons Deletion Bot: Post on most watched pages if a file is used on more than 10 articles
Closed, DuplicatePublic

Description

When the Commons Deletion Bot is made aware of an image that is used on many articles on one wiki, it will only post on 10 talk pages to avoid spam. Currently it is using simple logic to select 10 pages, but we want to change it so it will post on talk pages that are most likely to receive attention.

See also T188151#4124750 comments onward.


Acceptance criteria
  • If a file is used on more than 10 pages, the Commons Deletion bot should only post on 10 talk pages maximum (as determined by the most Watchlisted pages)

Event Timeline

TBolliger triaged this task as Normal priority.Apr 25 2018, 8:55 PM
TBolliger created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 8:55 PM
kaldari added a subscriber: kaldari.May 4 2018, 5:50 PM

@TBolliger: It sounds like the blocking task (T59617) isn't going to happen any time soon, so I recommend declining this task. We can use some other proxy of article prominence like size of the article or number of incoming links instead.

We can use some other proxy of article prominence like size of the article or number of incoming links instead.

Or pageviews!

Niharika added a subscriber: Niharika.EditedMay 4 2018, 6:09 PM

I'm not sure why T59617 is a blocker. What is stopping us from using the API for getting that information? I can't imagine that it's a lot more work.

@Niharika: We could use the API, but what do we do when an image in used in 100,000 pages? Do we want to make 100 API requests and compile all the data together? You're right that it's not that complicated, but it also feels like overkill for such a low priority edge case. Even if we used absolutely no logic at all and just posted notices on the first 10 pages, that would probably be fine. Images used on lots of pages are rarely deleted and even posting on 10 random pages is likely to get enough attention to make sure it's discussed. Relying on the API is also probably more fragile than making a query (as backwards as that may be). That said, I don't really have a strong opinion on this.

@kaldari How common do you think it will be for an image being used on 100k pages to be deleted? I don't think that will be a common scenario.

TBolliger lowered the priority of this task from Normal to Low.May 4 2018, 10:46 PM
TBolliger added a subscriber: MaxSem.

Some folks have suggested that we post when commonly used images are marked for deletion on a noticeboard or other centralized location.

The goal isn't to inform every editor on every page that a file is marked for deletion, just to inform enough people (in some cases, one person) to participate in the deletion discussion.

This is on our backlog and we may not even do it at all — if the default system @MaxSem is building in T188151 suffices, then we may close this as Declined.

@Niharika: Almost never, but I imagine we would have to code it to accomodate that case in case it ever occurred (if we were assessing number of watchers). Regardless, I don't care too much one way or another. I'm fine with whatever y'all want to do on this.

Vvjjkkii renamed this task from Commons Deletion Bot: Post on most watched pages if a file is used on more than 10 articles to t7daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Niharika renamed this task from t7daaaaaaa to Commons Deletion Bot: Post on most watched pages if a file is used on more than 10 articles.Jul 1 2018, 4:56 AM
Niharika closed this task as Resolved.
Niharika lowered the priority of this task from High to Low.
Niharika updated the task description. (Show Details)
Niharika added a subscriber: Aklapper.